
CoCoALib - Feature #278

add CoeffVecWRT to cocoalib

28 Nov 2012 11:34 - Anna Maria Bigatti

Status: Closed Start date: 28 Nov 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 9.00 hours

Description

Write C++ code for CoeffVecWRT, corresponding to the cocoa-5 function CoeffListWRT (with indices shifted by 1, as usual...).

Related issues:

Related to CoCoA-5 - Feature #90: Make the new fn CoefficientsWRT available i... Closed 11 Feb 2012

Related to CoCoALib - Feature #62: polynomial coefficient extraction w.r.t. s... Closed 13 Dec 2011

History

#1 - 28 Nov 2012 11:34 - Anna Maria Bigatti

- Project changed from CoCoA-5 to CoCoALib

- Category deleted (CoCoA-5 function: new)

#2 - 21 Jan 2013 18:27 - John Abbott

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to John Abbott

- Target version set to CoCoALib-0.99534 Seoul14

- % Done changed from 0 to 50

The function CoeffVecWRT has been implemented (and documented).

Needs testing.

#3 - 28 May 2013 18:11 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Added doc, an example and a simple test.

Closing this issue.

#4 - 29 Oct 2013 14:50 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99531
